## pgtop 4.0.0~20220624.1047-2~1.gite8d1361.pgdg+1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

include(CheckFunctionExists)
include(CheckLibraryExists)
include(CheckIncludeFiles)
include(CheckCSourceCompiles)

project(pg_top C)

set(PROJECT_VERSION_MAJOR 4)
set(PROJECT_VERSION_MINOR 0)
set(PROJECT_VERSION_PATCH 0)
set(PROJECT_VERSION
    ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})

# don't overwrite Debian CFLAGS
#set(CMAKE_C_FLAGS "-Wall")
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Handle cmake -D command line options

if (NOT DEFINED ENABLE_COLOR)
    set(ENABLE_COLOR 1)
elseif(ENABLE_COLOR EQUAL 0)
    unset(ENABLE_COLOR)
else()
    set(ENABLE_COLOR "${ENABLE_COLOR}")
endif (NOT DEFINED ENABLE_COLOR)

# Determine which machine module to build

execute_process(
    COMMAND uname -s
    OUTPUT_VARIABLE MACHINE
    OUTPUT_STRIP_TRAILING_WHITESPACE
)
string(TOLOWER "${MACHINE}" MACHINE)
message("-- machine - ${MACHINE}")

execute_process(
    COMMAND uname -m
    OUTPUT_VARIABLE ARCH
    OUTPUT_STRIP_TRAILING_WHITESPACE
)
message("-- arch - ${ARCH}")

# Some machines modules need additional information.

execute_process(
    COMMAND uname -r
    OUTPUT_VARIABLE OSREV
    OUTPUT_STRIP_TRAILING_WHITESPACE
)
string(REGEX MATCH "^([0-9]*)" OSMAJOR "${OSREV}")
string(REPLACE "." "" OSREV "${OSREV}")
string(REPLACE "-" "" OSREV "${OSREV}")
string(REPLACE "_" "" OSREV "${OSREV}")

# Get PostgreSQL include and library directories.

execute_process(
    COMMAND pg_config --includedir
    OUTPUT_VARIABLE PGINCLUDEDIR
    OUTPUT_STRIP_TRAILING_WHITESPACE
)
message("-- pg_config --includedir - ${PGINCLUDEDIR}")
if(PGINCLUDEDIR)
    set(PGINCLUDE "-I${PGINCLUDEDIR}")
endif(PGINCLUDEDIR)

execute_process(
    COMMAND pg_config --libdir
    OUTPUT_VARIABLE PGLIBDIR
    OUTPUT_STRIP_TRAILING_WHITESPACE
)
message("-- pg_config --libdir - ${PGLIBDIR}")

# Check for include files.

check_include_files("stdlib.h;stdarg.h;string.h;float.h" STDC_HEADERS)

check_include_files("string.h" HAVE_STRING_H)
check_include_files("strings.h" HAVE_STRINGS_H)
check_include_files("sys/time.h;time.h" TIME_WITH_SYS_TIME)
check_include_files("sys/time.h" HAVE_SYS_TIME_H)
check_include_files("sys/resource.h" HAVE_SYS_RESOURCE_H)
check_include_files("unistd.h" HAVE_UNISTD_H)

# Check for library functions.

check_function_exists(getopt HAVE_GETOPT)
check_function_exists(memcpy HAVE_MEMCPY)
check_function_exists(setpriority HAVE_SETPRIORITY)
check_function_exists(sigaction HAVE_SIGACTION)
check_function_exists(sighold HAVE_SIGHOLD)
check_function_exists(sigprocmask HAVE_SIGPROCMASK)
check_function_exists(sigrelse HAVE_SIGRELSE)
check_function_exists(snprintf HAVE_SNPRINTF)
check_function_exists(strchr HAVE_STRCHR)
check_function_exists(strerror HAVE_STRERROR)

# Test return type of signal().

check_c_source_compiles("
#include <sys/types.h>
#include <signal.h>
int main () { return *(signal (0, 0)) (0) == 1; return 0; }
" SIGNAL_RETURN)
if(SIGNAL_RETURN)
  set(RETSIGTYPE "int")
else()
  set(RETSIGTYPE "void")
endif(SIGNAL_RETURN)

# Test whether time_t is defined.

check_c_source_compiles("
#include <sys/types.h>
int main () { time_t a; return 0; }
" TIME_T_DEFINED)
if(NOT TIME_T_DEFINED)
    set(time_t "long")
endif(NOT TIME_T_DEFINED)

# Build sigdesc.h file.

foreach(f
        /usr/include/signal.h
        /usr/include/sys/signal.h
        /usr/include/sys/iso/signal_iso.h
        /usr/include/bits/signum.h
        /usr/include/asm-generic/signal.h
       )
    execute_process(
        COMMAND grep SIGKILL ${f}
        RESULT_VARIABLE CHECK_FOR_SIGKILL
        OUTPUT_QUIET ERROR_QUIET
    )
    if(CHECK_FOR_SIGKILL EQUAL 0)
        execute_process(
            COMMAND awk -f ${CMAKE_SOURCE_DIR}/sigconv.awk ${f}
            OUTPUT_FILE ${CMAKE_BINARY_DIR}/sigdesc.h
        )
        break()
    endif(CHECK_FOR_SIGKILL EQUAL 0)
endforeach(f)

# Build config.h header.

configure_file(
    ${CMAKE_SOURCE_DIR}/config.h.in
    ${CMAKE_BINARY_DIR}/config.h
)

# Build manual page with appropriate machine specific notes.

configure_file(
    ${CMAKE_SOURCE_DIR}/pg_top.1.rst.in
    ${CMAKE_BINARY_DIR}/pg_top.1.rst
)
if(EXISTS "${CMAKE_SOURCE_DIR}/machine/m_${MACHINE}.man.rst")
    execute_process(
        COMMAND cat ${CMAKE_SOURCE_DIR}/machine/m_${MACHINE}.man.rst
        OUTPUT_VARIABLE MANUAL_SUPPLIMENT
    )
    file(APPEND ${CMAKE_BINARY_DIR}/pg_top.1.rst "${MANUAL_SUPPLIMENT}")
endif(EXISTS "${CMAKE_SOURCE_DIR}/machine/m_${MACHINE}.man.rst")
file(APPEND ${CMAKE_BINARY_DIR}/pg_top.1 "${MANUAL_SUPPLIMENT}")
execute_process(
    COMMAND rst2man ${CMAKE_BINARY_DIR}/pg_top.1.rst
    OUTPUT_FILE ${CMAKE_BINARY_DIR}/pg_top.1
)

# Set appropriate compile flags.

set_source_files_properties(
    color.c
    commands.c
    display.c
    pg.c
    pg_top.c
    screen.c
    sprompt.c
    utils.c
    PROPERTIES COMPILE_FLAGS "${PGINCLUDE}"
)
set_source_files_properties(
    version.c
    PROPERTIES COMPILE_FLAGS
    "-DPACKAGE_VERSION=\\\"${PROJECT_VERSION}\\\" ${PGINCLUDE}"
)
set_source_files_properties(
    machine/m_common.c
    machine/m_remote.c
    machine/m_${MACHINE}.c
    PROPERTIES COMPILE_FLAGS "-I${CMAKE_HOME_DIRECTORY} ${PGINCLUDE}"
)

add_executable(
    ${PROJECT_NAME}
    color.c
    commands.c
    display.c
    getopt.c
    screen.c
    sprompt.c
    pg.c
    pg_top.c
    utils.c
    version.c
    machine/m_remote.c
    machine/m_common.c
    machine/m_${MACHINE}.c
)

# Determine appropriate linker flags.

find_library(LIBPQ pq PATHS ${PGLIBDIR})
if(LIBPQ)
    target_link_libraries(${PROJECT_NAME} ${LIBPQ})
endif(LIBPQ)

find_library(LIBM m)
if(LIBM)
    target_link_libraries(${PROJECT_NAME} ${LIBM})
endif(LIBM)

find_library(LIBDL dl)
if(LIBDL)
    target_link_libraries(${PROJECT_NAME} ${LIBDL})
endif(LIBDL)

find_library(LIBINTL intl)
if(LIBINTL)
    target_link_libraries(${PROJECT_NAME} ${LIBINTL})
endif(LIBINTL)

find_library(LIBTINFO tinfo)
if(LIBTINFO)
    target_link_libraries(${PROJECT_NAME} ${LIBTINFO})
endif(LIBTINFO)

find_library(LIBTERMCAP termcap)
if(LIBTERMCAP)
    target_link_libraries(${PROJECT_NAME} ${LIBTERMCAP})
else(LIBTERMCAP)
    find_library(LIBCURSES curses)
    if(LIBCURSES)
        target_link_libraries(${PROJECT_NAME} ${LIBCURSES})
    else(LIBCURSES)
        find_library(LIBNCURSES ncurses)
        if(LIBNCURSES)
            target_link_libraries(${PROJECT_NAME} ${LIBNCURSES})
        endif(LIBNCURSES)
    endif(LIBCURSES)
endif(LIBTERMCAP)

find_library(LIBKSTAT kstat)
if(LIBKSTAT)
    target_link_libraries(${PROJECT_NAME} ${LIBKSTAT})
endif(LIBKSTAT)

find_library(LIBELF elf)
if(LIBELF)
    target_link_libraries(${PROJECT_NAME} ${LIBELF})
endif(LIBELF)

find_library(LIBMACH mach)
if(LIBMACH)
    target_link_libraries(${PROJECT_NAME} ${LIBMACH})
endif(LIBMACH)

find_library(LIBBSD bsd)
if(LIBBSD)
    target_link_libraries(${PROJECT_NAME} ${LIBBSD})
endif(LIBBSD)

# FreeBSD specific libraries

if(${MACHINE} STREQUAL freebsd)
    find_library(LIBKVM kvm)
    if(LIBKVM)
        target_link_libraries(${PROJECT_NAME} ${LIBKVM})
    endif(LIBKVM)
endif(${MACHINE} STREQUAL freebsd)

install(
    PROGRAMS
    ${CMAKE_BINARY_DIR}/${PROJECT_NAME}
    DESTINATION "bin"
)
install(
    FILES
    ${CMAKE_BINARY_DIR}/pg_top.1
    DESTINATION "share/man/man1"
)

# CPack rules for creating distribution files.

include(InstallRequiredSystemLibraries)

set(CPACK_CMAKE_GENERATOR "Unix Makefiles")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "pg_top is 'top' for PostgreSQL")
set(CPACK_PACKAGE_VENDOR "pg_top")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README.rst")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/LICENSE")
set(CPACK_PACKAGE_VERSION_MAJOR "${PROJECT_VERSION_MAJOR}")
set(CPACK_PACKAGE_VERSION_MINOR "${PROJECT_VERSION_MINOR}")
set(CPACK_PACKAGE_VERSION_PATCH "${PROJECT_VERSION_PATCH}")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${PROJECT_NAME}-${PROJECT_VERSION}")
set(
    CPACK_SOURCE_IGNORE_FILES
    "\\\\.bz2\\$;\\\\.gz\\$;\\\\.xz\\$;\\\\.Z\\$;\\\\.zip\\$"
)
set(
    CPACK_SOURCE_IGNORE_FILES
    "${CPACK_SOURCE_IGNORE_FILES};/\\\\.gitignore\\$"
)
set(
    CPACK_SOURCE_IGNORE_FILES
    "${CPACK_SOURCE_IGNORE_FILES};/CMakeCache\\\\.txt\\$"
)
set(
    CPACK_SOURCE_IGNORE_FILES
    "${CPACK_SOURCE_IGNORE_FILES};/CMakeFiles/"
)
set(
    CPACK_SOURCE_IGNORE_FILES
    "${CPACK_SOURCE_IGNORE_FILES};/CMakeCache\\\\.txt\\$"
)
set(
    CPACK_SOURCE_IGNORE_FILES
    "${CPACK_SOURCE_IGNORE_FILES};/cmake_install\\\\.cmake\\$"
)
set(
    CPACK_SOURCE_IGNORE_FILES
    "${CPACK_SOURCE_IGNORE_FILES};/config\\\\.h\\$"
)
set(
    CPACK_SOURCE_IGNORE_FILES
    "${CPACK_SOURCE_IGNORE_FILES};/CPackConfig\\\\.cmake\\$"
)
set(
    CPACK_SOURCE_IGNORE_FILES
    "${CPACK_SOURCE_IGNORE_FILES};/\\\\_CPack\\\\_Packages/"
)
set(
    CPACK_SOURCE_IGNORE_FILES
    "${CPACK_SOURCE_IGNORE_FILES};/CPackSourceConfig\\\\.cmake\\$"
)
set(
    CPACK_SOURCE_IGNORE_FILES
    "${CPACK_SOURCE_IGNORE_FILES};/Makefile\\$"
)
set(
    CPACK_SOURCE_IGNORE_FILES
    "${CPACK_SOURCE_IGNORE_FILES};/pg_top\\\\.1\\$"
)
set(
    CPACK_SOURCE_IGNORE_FILES
    "${CPACK_SOURCE_IGNORE_FILES};/sigdesc\\\\.h\\$"
)

include(CPack)

set(OUTPUT "${PROJECT_VERSION}")

add_custom_target(appimage
    COMMAND cp -aL ${CMAKE_SOURCE_DIR}/AppRun AppDir
    COMMAND cp -aL ${CMAKE_SOURCE_DIR}/pg_top.desktop AppDir
    COMMAND cp -aL ${CMAKE_SOURCE_DIR}/pg_top.png AppDir
    COMMAND mkdir -p AppDir/usr/share/metainfo
    COMMAND cp -aL ${CMAKE_SOURCE_DIR}/pg_top.appdata.xml AppDir/usr/share/metainfo
    COMMAND mkdir -p AppDir/usr/lib
    COMMAND cp -aL
            `ldd pg_top | grep libpq.so | cut -d \" \" -f 3` AppDir/usr/lib
    COMMAND cp -aL
            `ldd pg_top | grep libtinfo.so | cut -d \" \" -f 3` AppDir/usr/lib
    COMMAND cp -aL
            `ldd pg_top | grep libbsd.so | cut -d \" \" -f 3` AppDir/usr/lib
    COMMAND cp -aL
            `ldd pg_top | grep libssl.so | cut -d \" \" -f 3` AppDir/usr/lib
    COMMAND cp -aL
            `ldd pg_top | grep libcrypto.so | cut -d \" \" -f 3` AppDir/usr/lib
    COMMAND cp -aL
            `ldd pg_top | grep libgssapi_krb5.so | cut -d \" \" -f 3` AppDir/usr/lib
    COMMAND cp -aL
            `ldd pg_top | grep libkrb5.so | cut -d \" \" -f 3` AppDir/usr/lib
    COMMAND cp -aL
            `ldd pg_top | grep libk5crypto.so | cut -d \" \" -f 3` AppDir/usr/lib
    COMMAND cp -aL
            `ldd pg_top | grep libkrb5support.so | cut -d \" \" -f 3` AppDir/usr/lib
    COMMAND cp -aL
            `ldd pg_top | grep libkeyutils.so | cut -d \" \" -f 3` AppDir/usr/lib
    COMMAND cp -aL
            `ldd pg_top | grep libselinux.so | cut -d \" \" -f 3` AppDir/usr/lib
    COMMAND VERSION=${PROJECT_VERSION} appimagetool-${ARCH}.AppImage AppDir
)

=== .pc/rst2man/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

include(CheckFunctionExists)
include(CheckLibraryExists)
include(CheckIncludeFiles)
include(CheckCSourceCompiles)

project(pg_top C)

set(PROJECT_VERSION_MAJOR 4)
set(PROJECT_VERSION_MINOR 0)
set(PROJECT_VERSION_PATCH 0)
set(PROJECT_VERSION
    ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})

# don't overwrite Debian CFLAGS
#set(CMAKE_C_FLAGS "-Wall")
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Handle cmake -D command line options

if (NOT DEFINED ENABLE_COLOR)
    set(ENABLE_COLOR 1)
elseif(ENABLE_COLOR EQUAL 0)
    unset(ENABLE_COLOR)
else()
    set(ENABLE_COLOR "${ENABLE_COLOR}")
endif (NOT DEFINED ENABLE_COLOR)

# Determine which machine module to build

execute_process(
    COMMAND uname -s
    OUTPUT_VARIABLE MACHINE
    OUTPUT_STRIP_TRAILING_WHITESPACE
)
string(TOLOWER "${MACHINE}" MACHINE)
message("-- machine - ${MACHINE}")

execute_process(
    COMMAND uname -m
    OUTPUT_VARIABLE ARCH
    OUTPUT_STRIP_TRAILING_WHITESPACE
)
message("-- arch - ${ARCH}")

# Some machines modules need additional information.

execute_process(
    COMMAND uname -r
    OUTPUT_VARIABLE OSREV
    OUTPUT_STRIP_TRAILING_WHITESPACE
)
string(REGEX MATCH "^([0-9]*)" OSMAJOR "${OSREV}")
string(REPLACE "." "" OSREV "${OSREV}")
string(REPLACE "-" "" OSREV "${OSREV}")
string(REPLACE "_" "" OSREV "${OSREV}")

# Get PostgreSQL include and library directories.

execute_process(
    COMMAND pg_config --includedir
    OUTPUT_VARIABLE PGINCLUDEDIR
    OUTPUT_STRIP_TRAILING_WHITESPACE
)
message("-- pg_config --includedir - ${PGINCLUDEDIR}")
if(PGINCLUDEDIR)
    set(PGINCLUDE "-I${PGINCLUDEDIR}")
endif(PGINCLUDEDIR)

execute_process(
    COMMAND pg_config --libdir
    OUTPUT_VARIABLE PGLIBDIR
    OUTPUT_STRIP_TRAILING_WHITESPACE
)
message("-- pg_config --libdir - ${PGLIBDIR}")

# Check for include files.

check_include_files("stdlib.h;stdarg.h;string.h;float.h" STDC_HEADERS)

check_include_files("string.h" HAVE_STRING_H)
check_include_files("strings.h" HAVE_STRINGS_H)
check_include_files("sys/time.h;time.h" TIME_WITH_SYS_TIME)
check_include_files("sys/time.h" HAVE_SYS_TIME_H)
check_include_files("sys/resource.h" HAVE_SYS_RESOURCE_H)
check_include_files("unistd.h" HAVE_UNISTD_H)

# Check for library functions.

check_function_exists(getopt HAVE_GETOPT)
check_function_exists(memcpy HAVE_MEMCPY)
check_function_exists(setpriority HAVE_SETPRIORITY)
check_function_exists(sigaction HAVE_SIGACTION)
check_function_exists(sighold HAVE_SIGHOLD)
check_function_exists(sigprocmask HAVE_SIGPROCMASK)
check_function_exists(sigrelse HAVE_SIGRELSE)
check_function_exists(snprintf HAVE_SNPRINTF)
check_function_exists(strchr HAVE_STRCHR)
check_function_exists(strerror HAVE_STRERROR)

# Test return type of signal().

check_c_source_compiles("
#include <sys/types.h>
#include <signal.h>
int main () { return *(signal (0, 0)) (0) == 1; return 0; }
" SIGNAL_RETURN)
if(SIGNAL_RETURN)
  set(RETSIGTYPE "int")
else()
  set(RETSIGTYPE "void")
endif(SIGNAL_RETURN)

# Test whether time_t is defined.

check_c_source_compiles("
#include <sys/types.h>
int main () { time_t a; return 0; }
" TIME_T_DEFINED)
if(NOT TIME_T_DEFINED)
    set(time_t "long")
endif(NOT TIME_T_DEFINED)

# Build sigdesc.h file.

foreach(f
        /usr/include/signal.h
        /usr/include/sys/signal.h
        /usr/include/sys/iso/signal_iso.h
        /usr/include/bits/signum.h
        /usr/include/asm-generic/signal.h
       )
    execute_process(
        COMMAND grep SIGKILL ${f}
        RESULT_VARIABLE CHECK_FOR_SIGKILL
        OUTPUT_QUIET ERROR_QUIET
    )
    if(CHECK_FOR_SIGKILL EQUAL 0)
        execute_process(
            COMMAND awk -f ${CMAKE_SOURCE_DIR}/sigconv.awk ${f}
            OUTPUT_FILE ${CMAKE_BINARY_DIR}/sigdesc.h
        )
        break()
    endif(CHECK_FOR_SIGKILL EQUAL 0)
endforeach(f)

# Build config.h header.

configure_file(
    ${CMAKE_SOURCE_DIR}/config.h.in
    ${CMAKE_BINARY_DIR}/config.h
)

# Build manual page with appropriate machine specific notes.

configure_file(
    ${CMAKE_SOURCE_DIR}/pg_top.1.rst.in
    ${CMAKE_BINARY_DIR}/pg_top.1.rst
)
if(EXISTS "${CMAKE_SOURCE_DIR}/machine/m_${MACHINE}.man.rst")
    execute_process(
        COMMAND cat ${CMAKE_SOURCE_DIR}/machine/m_${MACHINE}.man.rst
        OUTPUT_VARIABLE MANUAL_SUPPLIMENT
    )
    file(APPEND ${CMAKE_BINARY_DIR}/pg_top.1.rst "${MANUAL_SUPPLIMENT}")
endif(EXISTS "${CMAKE_SOURCE_DIR}/machine/m_${MACHINE}.man.rst")
file(APPEND ${CMAKE_BINARY_DIR}/pg_top.1 "${MANUAL_SUPPLIMENT}")
execute_process(
    COMMAND rst2man.py ${CMAKE_BINARY_DIR}/pg_top.1.rst
    OUTPUT_FILE ${CMAKE_BINARY_DIR}/pg_top.1
)

# Set appropriate compile flags.

set_source_files_properties(
    color.c
    commands.c
    display.c
    pg.c
    pg_top.c
    screen.c
    sprompt.c
    utils.c
    PROPERTIES COMPILE_FLAGS "${PGINCLUDE}"
)
set_source_files_properties(
    version.c
    PROPERTIES COMPILE_FLAGS
    "-DPACKAGE_VERSION=\\\"${PROJECT_VERSION}\\\" ${PGINCLUDE}"
)
set_source_files_properties(
    machine/m_common.c
    machine/m_remote.c
    machine/m_${MACHINE}.c
    PROPERTIES COMPILE_FLAGS "-I${CMAKE_HOME_DIRECTORY} ${PGINCLUDE}"
)

add_executable(
    ${PROJECT_NAME}
    color.c
    commands.c
    display.c
    getopt.c
    screen.c
    sprompt.c
    pg.c
    pg_top.c
    utils.c
    version.c
    machine/m_remote.c
    machine/m_common.c
    machine/m_${MACHINE}.c
)

# Determine appropriate linker flags.

find_library(LIBPQ pq PATHS ${PGLIBDIR})
if(LIBPQ)
    target_link_libraries(${PROJECT_NAME} ${LIBPQ})
endif(LIBPQ)

find_library(LIBM m)
if(LIBM)
    target_link_libraries(${PROJECT_NAME} ${LIBM})
endif(LIBM)

find_library(LIBDL dl)
if(LIBDL)
    target_link_libraries(${PROJECT_NAME} ${LIBDL})
endif(LIBDL)

find_library(LIBINTL intl)
if(LIBINTL)
    target_link_libraries(${PROJECT_NAME} ${LIBINTL})
endif(LIBINTL)

find_library(LIBTINFO tinfo)
if(LIBTINFO)
    target_link_libraries(${PROJECT_NAME} ${LIBTINFO})
endif(LIBTINFO)

find_library(LIBTERMCAP termcap)
if(LIBTERMCAP)
    target_link_libraries(${PROJECT_NAME} ${LIBTERMCAP})
else(LIBTERMCAP)
    find_library(LIBCURSES curses)
    if(LIBCURSES)
        target_link_libraries(${PROJECT_NAME} ${LIBCURSES})
    else(LIBCURSES)
        find_library(LIBNCURSES ncurses)
        if(LIBNCURSES)
            target_link_libraries(${PROJECT_NAME} ${LIBNCURSES})
        endif(LIBNCURSES)
    endif(LIBCURSES)
endif(LIBTERMCAP)

find_library(LIBKSTAT kstat)
if(LIBKSTAT)
    target_link_libraries(${PROJECT_NAME} ${LIBKSTAT})
endif(LIBKSTAT)

find_library(LIBELF elf)
if(LIBELF)
    target_link_libraries(${PROJECT_NAME} ${LIBELF})
endif(LIBELF)

find_library(LIBMACH mach)
if(LIBMACH)
    target_link_libraries(${PROJECT_NAME} ${LIBMACH})
endif(LIBMACH)

find_library(LIBBSD bsd)
if(LIBBSD)
    target_link_libraries(${PROJECT_NAME} ${LIBBSD})
endif(LIBBSD)

# FreeBSD specific libraries

if(${MACHINE} STREQUAL freebsd)
    find_library(LIBKVM kvm)
    if(LIBKVM)
        target_link_libraries(${PROJECT_NAME} ${LIBKVM})
    endif(LIBKVM)
endif(${MACHINE} STREQUAL freebsd)

install(
    PROGRAMS
    ${CMAKE_BINARY_DIR}/${PROJECT_NAME}
    DESTINATION "bin"
)
install(
    FILES
    ${CMAKE_BINARY_DIR}/pg_top.1
    DESTINATION "share/man/man1"
)

# CPack rules for creating distribution files.

include(InstallRequiredSystemLibraries)

set(CPACK_CMAKE_GENERATOR "Unix Makefiles")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "pg_top is 'top' for PostgreSQL")
set(CPACK_PACKAGE_VENDOR "pg_top")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README.rst")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/LICENSE")
set(CPACK_PACKAGE_VERSION_MAJOR "${PROJECT_VERSION_MAJOR}")
set(CPACK_PACKAGE_VERSION_MINOR "${PROJECT_VERSION_MINOR}")
set(CPACK_PACKAGE_VERSION_PATCH "${PROJECT_VERSION_PATCH}")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${PROJECT_NAME}-${PROJECT_VERSION}")
set(
    CPACK_SOURCE_IGNORE_FILES
    "\\\\.bz2\\$;\\\\.gz\\$;\\\\.xz\\$;\\\\.Z\\$;\\\\.zip\\$"
)
set(
    CPACK_SOURCE_IGNORE_FILES
    "${CPACK_SOURCE_IGNORE_FILES};/\\\\.gitignore\\$"
)
set(
    CPACK_SOURCE_IGNORE_FILES
    "${CPACK_SOURCE_IGNORE_FILES};/CMakeCache\\\\.txt\\$"
)
set(
    CPACK_SOURCE_IGNORE_FILES
    "${CPACK_SOURCE_IGNORE_FILES};/CMakeFiles/"
)
set(
    CPACK_SOURCE_IGNORE_FILES
    "${CPACK_SOURCE_IGNORE_FILES};/CMakeCache\\\\.txt\\$"
)
set(
    CPACK_SOURCE_IGNORE_FILES
    "${CPACK_SOURCE_IGNORE_FILES};/cmake_install\\\\.cmake\\$"
)
set(
    CPACK_SOURCE_IGNORE_FILES
    "${CPACK_SOURCE_IGNORE_FILES};/config\\\\.h\\$"
)
set(
    CPACK_SOURCE_IGNORE_FILES
    "${CPACK_SOURCE_IGNORE_FILES};/CPackConfig\\\\.cmake\\$"
)
set(
    CPACK_SOURCE_IGNORE_FILES
    "${CPACK_SOURCE_IGNORE_FILES};/\\\\_CPack\\\\_Packages/"
)
set(
    CPACK_SOURCE_IGNORE_FILES
    "${CPACK_SOURCE_IGNORE_FILES};/CPackSourceConfig\\\\.cmake\\$"
)
set(
    CPACK_SOURCE_IGNORE_FILES
    "${CPACK_SOURCE_IGNORE_FILES};/Makefile\\$"
)
set(
    CPACK_SOURCE_IGNORE_FILES
    "${CPACK_SOURCE_IGNORE_FILES};/pg_top\\\\.1\\$"
)
set(
    CPACK_SOURCE_IGNORE_FILES
    "${CPACK_SOURCE_IGNORE_FILES};/sigdesc\\\\.h\\$"
)

include(CPack)

set(OUTPUT "${PROJECT_VERSION}")

add_custom_target(appimage
    COMMAND cp -aL ${CMAKE_SOURCE_DIR}/AppRun AppDir
    COMMAND cp -aL ${CMAKE_SOURCE_DIR}/pg_top.desktop AppDir
    COMMAND cp -aL ${CMAKE_SOURCE_DIR}/pg_top.png AppDir
    COMMAND mkdir -p AppDir/usr/share/metainfo
    COMMAND cp -aL ${CMAKE_SOURCE_DIR}/pg_top.appdata.xml AppDir/usr/share/metainfo
    COMMAND mkdir -p AppDir/usr/lib
    COMMAND cp -aL
            `ldd pg_top | grep libpq.so | cut -d \" \" -f 3` AppDir/usr/lib
    COMMAND cp -aL
            `ldd pg_top | grep libtinfo.so | cut -d \" \" -f 3` AppDir/usr/lib
    COMMAND cp -aL
            `ldd pg_top | grep libbsd.so | cut -d \" \" -f 3` AppDir/usr/lib
    COMMAND cp -aL
            `ldd pg_top | grep libssl.so | cut -d \" \" -f 3` AppDir/usr/lib
    COMMAND cp -aL
            `ldd pg_top | grep libcrypto.so | cut -d \" \" -f 3` AppDir/usr/lib
    COMMAND cp -aL
            `ldd pg_top | grep libgssapi_krb5.so | cut -d \" \" -f 3` AppDir/usr/lib
    COMMAND cp -aL
            `ldd pg_top | grep libkrb5.so | cut -d \" \" -f 3` AppDir/usr/lib
    COMMAND cp -aL
            `ldd pg_top | grep libk5crypto.so | cut -d \" \" -f 3` AppDir/usr/lib
    COMMAND cp -aL
            `ldd pg_top | grep libkrb5support.so | cut -d \" \" -f 3` AppDir/usr/lib
    COMMAND cp -aL
            `ldd pg_top | grep libkeyutils.so | cut -d \" \" -f 3` AppDir/usr/lib
    COMMAND cp -aL
            `ldd pg_top | grep libselinux.so | cut -d \" \" -f 3` AppDir/usr/lib
    COMMAND VERSION=${PROJECT_VERSION} appimagetool-${ARCH}.AppImage AppDir
)

## pgtop 3.7.0

=== debian/changelog ===
pgtop (3.7.0-2build2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:39:12 +0000

pgtop (3.7.0-2build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:44:46 +0000

pgtop (3.7.0-2) unstable; urgency=low

  * debian/control: architectures kfreebsd-* and hurd i386
    because they currently not compatible with pgtop.
    there for architecture changed to linux-any
  * debian/control: Updated VCS URLs in control file to
    pgtop instead of ptop
  * debian/control: added build dependency to dh-autoreconf
  * debian/rules: Fixed W-dpkg-buildflags-missing by adding CPPflags
  * debian/rules: Minimized rules file
  * debian/rules: using dh_autoreconf in build 
  * debian/dirs: Renamed dirs to pgtop.dirs so no unneeded directory's
    are created for the transitional dummy package

 -- Bastiaan Franciscus van den Dikkenberg <bas@dikkenberg.net>  Sun, 23 Feb 2014 12:07:13 +0100

pgtop (3.7.0-1) unstable; urgency=low
  
  * New upstream release
    - ptop is now called pg_top - rename package to pgtop
    - ptop is incompatible with PostgreSQL >= 9.2 (closes: #718697)
    - removed patches becouse they are now in new upstream release
  * debian/control: Provide transitional dummy package
  * debian.control: Changed Standards-Version to 3.9.5
  * debian/control: Updated VCS urls in control file to 
    anonscm.debian.org instead of git.debian.org
  * debian/control: Changed dependency of debhelper to <= 9
  * debian/compat: Changed Debhelper compatibility level to 9 
  * debian/copyright: updated, reformatted to DEP5 format 
  * debian/watch: update watch file to ignore alpha en beta versions
  * Special thanks to Willi Mann <willi@debian.org> for helping to get 
    this package back up to specs

 -- Bastiaan Franciscus van den Dikkenberg <bas@dikkenberg.net>  Tue, 07 Jan 2014 23:17:52 +0100

ptop (3.6.2-5) unstable; urgency=low

  * Applyed patch (closes: #594077)
  * Adopted packages Bug-Debian: (closes: #654552)
  * fixed lintian warnings
  * Changed Standards-Version to 3.9.2
  * Closes request for sponsorshop Bug-Debian: (closes: #658775)

 -- Bastiaan Franciscus van den Dikkenberg <bas@dikkenberg.net>  Sat, 04 Feb 2012 12:00:00 +0100

ptop (3.6.2-4) unstable; urgency=low

  * Merge with Ubuntu
    - Fix FTBFS with ld --as-needed. (closes: #607811)

 -- Francois Marier <francois@debian.org>  Fri, 24 Dec 2010 09:01:33 +1300

ptop (3.6.2-3) unstable; urgency=low

  * Convert the "Recommends" on posgresql to an "Enhances"
    (closes: #600102)
  * Bump Standards-Version up to 3.9.1
  * Bump debhelper compatibility to 8
  * Switch to 3.0 (quilt) source package format
  * Fix hyphen in manpage
  * Drop reference to BSD in /usr/share/common-licenses

 -- Francois Marier <francois@debian.org>  Wed, 22 Dec 2010 17:04:09 +1300

ptop (3.6.2-2) unstable; urgency=low

  * Adopt orphaned package (closes: #547981)
  * Bump Standards-Version up to 3.8.3
  * Bump debhelper compatibility to 7
  * Fix lintian notice in debian/copyright
  * Add git vcs fields to debian/control

 -- Francois Marier <francois@debian.org>  Thu, 01 Oct 2009 13:27:34 +1300

ptop (3.6.2-1) unstable; urgency=low

  * New upstream release
     + Change of binary name to pg_top to avoid conflict with
       a pascal tool in fp-utils package (closes: #465175)
  * Updated the watch file to look for the new package name
  * Removed Debian.README as it is not longer needed
     + Some remote functionality was added to pg_top
  * debian/rules
     + Rebuild 'sigdesc.h' each time we build, instead of using 
       a cached version
     + No longer need to remove the manpage in the cleanup section
  * Updated Standards to 3.8.0

 -- Adam Majer <adamm@zombino.com>  Fri, 25 Jul 2008 12:16:23 -0500

ptop (3.6.2~b2-1) unstable; urgency=low

  * New upstream release
    + Cumulative table and index stats in addition to differential
    stats.
    + Run 'EXPLAIN ANALYZE' on currently running queries

 -- Adam Majer <adamm@zombino.com>  Sat, 22 Mar 2008 13:34:46 -0500

ptop (3.6.1-2) unstable; urgency=low

  * Add a missing build dependency on libncurses

 -- Adam Majer <adamm@zombino.com>  Sat, 08 Mar 2008 20:08:54 -0600

ptop (3.6.1-1) unstable; urgency=low

  * New upstream release
    + first non-beta release
  * Fix a FTBFS by using `rm -f` instead of `rm` (closes: #465041)
  * Updated the description with one supplied by Noah Slater. Thanks!
    (closes: #464887)

 -- Adam Majer <adamm@zombino.com>  Sat, 08 Mar 2008 14:06:55 -0600

ptop (3.6.1~b3-1) unstable; urgency=low

  * Initial release (Closes: #446316)

 -- Adam Majer <adamm@zombino.com>  Wed, 27 Jan 2008 10:25:45 -0600

=== debian/control ===
Source: pgtop
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Bastiaan Franciscus van den Dikkenberg <bas@dikkenberg.net>
Build-Depends: debhelper (>= 9),dh-autoreconf , autotools-dev, libpq-dev, libncurses5-dev
Standards-Version: 3.9.5
Homepage: http://ptop.projects.postgresql.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/pgtop.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pgtop.git;a=summary

Package: pgtop
Replaces: ptop (<< 3.7.0-1~)
Breaks: ptop (<< 3.7.0-1~)
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: postgresql
Description: PostgreSQL performance monitoring tool akin to top
 pg_top is a console-based tool for monitoring a PostgreSQL database.
 .
 With pg_top you can:
   * View currently running SQL statement of a process
   * View query plan of a currently running SELECT statement
   * View locks held by a process
   * View user table statistics
   * View user index statistics

Package: ptop
Depends: pgtop, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package 
 This is a transitional dummy package. It can safely be removed.
 ptop is replaced by pgtop

=== debian/rules ===
#!/usr/bin/make -f
# Set DH_VERBOSE to 1 to enable debuging
export DH_VERBOSE=0

#Add build flags
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with autoreconf

override_dh_auto_configure:

	dh_testdir
	# update config files
	chmod +x debian/configupdate
	debian/configupdate update
	dh_auto_configure -- --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"  CPPFLAGS="$(CPPFLAGS)" --enable-dependency-tracking

override_dh_auto_build:
	$(MAKE) sigdesc.h
	$(MAKE)

override_dh_auto_install:
	$(MAKE) prefix=$(CURDIR)/debian/pgtop/usr install

clean:
	dh_testdir
	dh_testroot
	# Clean up after build, including reverting updates of config files
	if [ -f Makefile ]; then $(MAKE) distclean; fi
	chmod +x debian/configupdate
	debian/configupdate reset
	# Remove extra cruft left over
	rm -f sigdesc.h
	dh_clean

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[\.\+\-_]?(beta|alpha|dev)/$1~$2/ \
http://pgfoundry.org/frs/?group_id=1000300 \
(?:.*/|.*=|)pg_top[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?

## pgtop 3.7.0-18-gbbf1f12

=== debian/changelog ===
pgtop (3.7.0-18-gbbf1f12-3) unstable; urgency=medium

  * Move back to Architecture: linux-any, pgtop needs actual porting to other
    platforms.
  * Update PostgreSQL Maintainers address.

 -- Christoph Berg <myon@debian.org>  Thu, 07 Feb 2019 11:35:29 +0100

pgtop (3.7.0-18-gbbf1f12-2) unstable; urgency=medium

  * Architecture: any. The problem with non-linux was just outdated autotools
    files. (Closes: #675756)

 -- Christoph Berg <myon@debian.org>  Thu, 03 May 2018 19:02:14 +0200

pgtop (3.7.0-18-gbbf1f12-1) unstable; urgency=medium

  * New upstream snapshot.
  * Moving package to PostgreSQL team. (Closes: #896693)
  * Update to DH 10 for automatic autotools updating.
  * Strip debian/rules down to "dh".
  * Remove old transitional package ptop. (Closes: #878778)
  * Section: database.
  * Don't install HISTORY, it is already installed as changelog.gz.
  * Update copyright.

 -- Christoph Berg <myon@debian.org>  Thu, 03 May 2018 09:53:31 +0200

=== debian/control ===
Source: pgtop
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 10), libpq-dev, libncurses5-dev
Standards-Version: 4.3.0
Homepage: https://git.postgresql.org/gitweb/?p=pg_top.git
Vcs-Git: https://salsa.debian.org/postgresql/pgtop.git
Vcs-Browser: https://salsa.debian.org/postgresql/pgtop

Package: pgtop
Replaces: ptop (<< 3.7.0-1~)
Breaks: ptop (<< 3.7.0-1~)
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: postgresql
Description: PostgreSQL performance monitoring tool akin to top
 pg_top is a console-based tool for monitoring a PostgreSQL database.
 .
 With pg_top you can:
   * View currently running SQL statement of a process
   * View query plan of a currently running SELECT statement
   * View locks held by a process
   * View user table statistics
   * View user index statistics

## pgtop 4.0.0~20220624.1047-2~1.gite8d1361.pgdg18.04+1

=== debian/changelog ===
pgtop (4.0.0~20220624.1047-2~1.gite8d1361.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 11 Jan 2022 10:43:50 +0100

pgtop (4.0.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

 -- Christoph Berg <myon@debian.org>  Tue, 11 Jan 2022 10:43:50 +0100

pgtop (4.0.0-1) unstable; urgency=medium

  * New upstream version 4.0.0.

 -- Christoph Berg <myon@debian.org>  Tue, 20 Oct 2020 14:22:39 +0200

pgtop (4.0.0~beta1-1) unstable; urgency=medium

  * New upstream version.
  * Rename license to postgresql to match appdata file.

 -- Christoph Berg <myon@debian.org>  Thu, 06 Aug 2020 11:32:17 +0200

pgtop (4.0.0~alpha5-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Switch upstream to https://gitlab.com/pg_top/pg_top.
  * Update description.
  * Add debian/gitlab-ci.yml.
  * DH 13.
  * Buildsystem cmake, depend on libbsd-dev.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Update standards version to 4.4.1, no changes needed.
  * Fix day-of-week for changelog entries 3.6.1~b3-1.

 -- Christoph Berg <myon@debian.org>  Wed, 15 Jul 2020 13:30:47 +0200

=== debian/control ===
Source: pgtop
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends:
 cmake,
 debhelper (>= 11),
 libbsd-dev,
 libpq-dev,
 libncurses5-dev,
 python3-docutils,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://gitlab.com/pg_top/pg_top
Vcs-Git: https://salsa.debian.org/postgresql/pgtop.git
Vcs-Browser: https://salsa.debian.org/postgresql/pgtop

Package: pgtop
Replaces: ptop (<< 3.7.0-1~)
Breaks: ptop (<< 3.7.0-1~)
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: postgresql
Description: PostgreSQL performance monitoring tool akin to top
 pg_top is 'top' for PostgreSQL.
 .
  * Monitor PostgreSQL processes.
  * View currently running SQL statement of a process.
  * View query plan of a currently running SELECT statement.
  * View locks held by a process.
  * View I/O statistics per process.
  * View replication statistics for downstream nodes.

## pgtop 4.0.0~20220624.1047-2~1.gite8d1361.pgdg20.04+1

=== debian/changelog ===
pgtop (4.0.0~20220624.1047-2~1.gite8d1361.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 11 Jan 2022 10:43:50 +0100

## pgtop 4.0.0~20220624.1047-2~1.gite8d1361.pgdg21.10+1

=== debian/changelog ===
pgtop (4.0.0~20220624.1047-2~1.gite8d1361.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 11 Jan 2022 10:43:50 +0100

## pgtop 4.0.0~20220624.1047-2~1.gite8d1361.pgdg22.04+1

=== debian/changelog ===
pgtop (4.0.0~20220624.1047-2~1.gite8d1361.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 11 Jan 2022 10:43:50 +0100

## pgtop 4.0.0~20220624.1047-2~1.gite8d1361.pgdg90+1

=== debian/changelog ===
pgtop (4.0.0~20220624.1047-2~1.gite8d1361.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 11 Jan 2022 10:43:50 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 11),
+ debhelper (>= 10),
  libbsd-dev,
  libpq-dev,
  libncurses5-dev,

## pgtop 4.0.0~20220624.1047-2~1.gite8d1361.pgdg100+1

=== debian/changelog ===
pgtop (4.0.0~20220624.1047-2~1.gite8d1361.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 11 Jan 2022 10:43:50 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 10),
+ debhelper (>= 12),
  libbsd-dev,
  libpq-dev,
  libncurses5-dev,

## pgtop 4.0.0~20220624.1047-2~1.gite8d1361.pgdg110+1

=== debian/changelog ===
pgtop (4.0.0~20220624.1047-2~1.gite8d1361.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 11 Jan 2022 10:43:50 +0100

## pgtop 4.0.0~20220624.1047-2~1.gite8d1361.pgdg120+1

=== debian/changelog ===
pgtop (4.0.0~20220624.1047-2~1.gite8d1361.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 11 Jan 2022 10:43:50 +0100

## pgtop 4.0.0~20220624.1047-2~1.gite8d1361.pgdg+1

=== debian/changelog ===
pgtop (4.0.0~20220624.1047-2~1.gite8d1361.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 11 Jan 2022 10:43:50 +0100

## pgtop 4.0.0~beta1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,12 +9,11 @@
 
 set(PROJECT_VERSION_MAJOR 4)
 set(PROJECT_VERSION_MINOR 0)
-set(PROJECT_VERSION_PATCH 0)
+set(PROJECT_VERSION_PATCH "0-beta1")
 set(PROJECT_VERSION
     ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})
 
-# don't overwrite Debian CFLAGS
-#set(CMAKE_C_FLAGS "-Wall")
+set(CMAKE_C_FLAGS "-Wall")
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
 # Handle cmake -D command line options
@@ -167,7 +166,7 @@
 endif(EXISTS "${CMAKE_SOURCE_DIR}/machine/m_${MACHINE}.man.rst")
 file(APPEND ${CMAKE_BINARY_DIR}/pg_top.1 "${MANUAL_SUPPLIMENT}")
 execute_process(
-    COMMAND rst2man ${CMAKE_BINARY_DIR}/pg_top.1.rst
+    COMMAND rst2man.py ${CMAKE_BINARY_DIR}/pg_top.1.rst
     OUTPUT_FILE ${CMAKE_BINARY_DIR}/pg_top.1
 )

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,12 @@
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 12),
+ debhelper-compat (= 13),
  libbsd-dev,
  libpq-dev,
  libncurses5-dev,
  python3-docutils,
-Standards-Version: 4.5.1
-Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: https://gitlab.com/pg_top/pg_top
 Vcs-Git: https://salsa.debian.org/postgresql/pgtop.git
 Vcs-Browser: https://salsa.debian.org/postgresql/pgtop

## pgtop 4.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 set(PROJECT_VERSION_MAJOR 4)
 set(PROJECT_VERSION_MINOR 0)
-set(PROJECT_VERSION_PATCH "0-beta1")
+set(PROJECT_VERSION_PATCH 0)
 set(PROJECT_VERSION
     ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})

=== Makefile ===
default:
	@echo "targets: appimage (Linux only), clean, debug, package, release"

UNAME_S := $(shell uname -s)

appimage:
	cmake -H. -Bbuild/appimage -DCMAKE_INSTALL_PREFIX=/usr
	cd build/appimage && make
	cd build/appimage && sed -i -e 's#/usr#././#g' pg_top
	cd build/appimage && make install DESTDIR=AppDir
	cd build/appimage && make appimage

clean:
	-rm -rf build

debug:
	cmake -H. -Bbuild/debug -DCMAKE_BUILD_TYPE=Debug
	cd build/debug && make

package:
	git checkout-index --prefix=build/source/ -a
	cmake -Hbuild/source -Bbuild/source
	cd build/source && make package_source

release:
	cmake -H. -Bbuild/release
	cd build/release && make

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
  libpq-dev,
  libncurses5-dev,
  python3-docutils,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://gitlab.com/pg_top/pg_top
 Vcs-Git: https://salsa.debian.org/postgresql/pgtop.git
 Vcs-Browser: https://salsa.debian.org/postgresql/pgtop

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[\.\+\-_]?(beta|alpha|dev)/$1~$2/ \
https://gitlab.com/pg_top/pg_top/-/tags .*/pg_top-v(.*).tar.bz2

## pgtop 4.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.1.0)
 
 include(CheckFunctionExists)
 include(CheckLibraryExists)
@@ -8,13 +8,14 @@
 project(pg_top C)
 
 set(PROJECT_VERSION_MAJOR 4)
-set(PROJECT_VERSION_MINOR 0)
-set(PROJECT_VERSION_PATCH 0)
+set(PROJECT_VERSION_MINOR 1)
+set(PROJECT_VERSION_PATCH 1)
 set(PROJECT_VERSION
     ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})
 
-set(CMAKE_C_FLAGS "-Wall")
+set(CMAKE_C_STANDARD 99)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
+set(CMAKE_C_FLAGS_DEBUG "-Wall")
 
 # Handle cmake -D command line options
 
@@ -121,29 +122,6 @@
     set(time_t "long")
 endif(NOT TIME_T_DEFINED)
 
-# Build sigdesc.h file.
-
-foreach(f
-        /usr/include/signal.h
-        /usr/include/sys/signal.h
-        /usr/include/sys/iso/signal_iso.h
-        /usr/include/bits/signum.h
-        /usr/include/asm-generic/signal.h
-       )
-    execute_process(
-        COMMAND grep SIGKILL ${f}
-        RESULT_VARIABLE CHECK_FOR_SIGKILL
-        OUTPUT_QUIET ERROR_QUIET
-    )
-    if(CHECK_FOR_SIGKILL EQUAL 0)
-        execute_process(
-            COMMAND awk -f ${CMAKE_SOURCE_DIR}/sigconv.awk ${f}
-            OUTPUT_FILE ${CMAKE_BINARY_DIR}/sigdesc.h
-        )
-        break()
-    endif(CHECK_FOR_SIGKILL EQUAL 0)
-endforeach(f)
-
 # Build config.h header.
 
 configure_file(
@@ -195,12 +173,15 @@
     PROPERTIES COMPILE_FLAGS "-I${CMAKE_HOME_DIRECTORY} ${PGINCLUDE}"
 )
 
+if (NOT ${HAVE_GETOPT})
+    set (EXTRAFILES "${EXTRAFILES} getopt.c")
+endif (NOT ${HAVE_GETOPT})
+
 add_executable(
     ${PROJECT_NAME}
     color.c
     commands.c
     display.c
-    getopt.c
     screen.c
     sprompt.c
     pg.c
@@ -210,6 +191,7 @@
     machine/m_remote.c
     machine/m_common.c
     machine/m_${MACHINE}.c
+    ${EXTRAFILES}
 )
 
 # Determine appropriate linker flags.
@@ -247,7 +229,7 @@
     if(LIBCURSES)
         target_link_libraries(${PROJECT_NAME} ${LIBCURSES})
     else(LIBCURSES)
-        find_library(LIBNCURSES ncurses)
+        find_library(LIBNCURSES ncurses REQUIRED)
         if(LIBNCURSES)
             target_link_libraries(${PROJECT_NAME} ${LIBNCURSES})
         endif(LIBNCURSES)
@@ -259,17 +241,12 @@
     target_link_libraries(${PROJECT_NAME} ${LIBKSTAT})
 endif(LIBKSTAT)
 
-find_library(LIBELF elf)
-if(LIBELF)
-    target_link_libraries(${PROJECT_NAME} ${LIBELF})
-endif(LIBELF)
-
 find_library(LIBMACH mach)
 if(LIBMACH)
     target_link_libraries(${PROJECT_NAME} ${LIBMACH})
 endif(LIBMACH)
 
-find_library(LIBBSD bsd)
+find_library(LIBBSD bsd REQUIRED)
 if(LIBBSD)
     target_link_libraries(${PROJECT_NAME} ${LIBBSD})
 endif(LIBBSD)
@@ -365,33 +342,27 @@
 set(OUTPUT "${PROJECT_VERSION}")
 
 add_custom_target(appimage
-    COMMAND cp -aL ${CMAKE_SOURCE_DIR}/AppRun AppDir
-    COMMAND cp -aL ${CMAKE_SOURCE_DIR}/pg_top.desktop AppDir
-    COMMAND cp -aL ${CMAKE_SOURCE_DIR}/pg_top.png AppDir
+    COMMAND cp -aL ${CMAKE_SOURCE_DIR}/appimage/activate
+                   ${CMAKE_SOURCE_DIR}/appimage/AppRun
+                   ${CMAKE_SOURCE_DIR}/appimage/pg_top.desktop
+                   ${CMAKE_SOURCE_DIR}/appimage/pg_top.svg
+            AppDir
     COMMAND mkdir -p AppDir/usr/share/metainfo
-    COMMAND cp -aL ${CMAKE_SOURCE_DIR}/pg_top.appdata.xml AppDir/usr/share/metainfo
+    COMMAND cp -aL ${CMAKE_SOURCE_DIR}/appimage/pg_top.appdata.xml
+            AppDir/usr/share/metainfo
     COMMAND mkdir -p AppDir/usr/lib
-    COMMAND cp -aL
-            `ldd pg_top | grep libpq.so | cut -d \" \" -f 3` AppDir/usr/lib
-    COMMAND cp -aL
-            `ldd pg_top | grep libtinfo.so | cut -d \" \" -f 3` AppDir/usr/lib
-    COMMAND cp -aL
-            `ldd pg_top | grep libbsd.so | cut -d \" \" -f 3` AppDir/usr/lib
-    COMMAND cp -aL
-            `ldd pg_top | grep libssl.so | cut -d \" \" -f 3` AppDir/usr/lib
-    COMMAND cp -aL
-            `ldd pg_top | grep libcrypto.so | cut -d \" \" -f 3` AppDir/usr/lib
-    COMMAND cp -aL
-            `ldd pg_top | grep libgssapi_krb5.so | cut -d \" \" -f 3` AppDir/usr/lib
-    COMMAND cp -aL
-            `ldd pg_top | grep libkrb5.so | cut -d \" \" -f 3` AppDir/usr/lib
-    COMMAND cp -aL
-            `ldd pg_top | grep libk5crypto.so | cut -d \" \" -f 3` AppDir/usr/lib
-    COMMAND cp -aL
-            `ldd pg_top | grep libkrb5support.so | cut -d \" \" -f 3` AppDir/usr/lib
-    COMMAND cp -aL
-            `ldd pg_top | grep libkeyutils.so | cut -d \" \" -f 3` AppDir/usr/lib
-    COMMAND cp -aL
-            `ldd pg_top | grep libselinux.so | cut -d \" \" -f 3` AppDir/usr/lib
-    COMMAND VERSION=${PROJECT_VERSION} appimagetool-${ARCH}.AppImage AppDir
-)
+    COMMAND cp -aL `ldd pg_top | grep libpq\\\\\\\\. | cut -d \" \" -f 3`
+                   `ldd pg_top | grep libtinfo\\\\\\\\. | cut -d \" \" -f 3`
+                   `ldd pg_top | grep libbsd\\\\\\\\. | cut -d \" \" -f 3`
+                   `ldd pg_top | grep libssl\\\\\\\\. | cut -d \" \" -f 3`
+                   `ldd pg_top | grep libcrypto\\\\\\\\. | cut -d \" \" -f 3`
+                   `ldd pg_top | grep libgssapi_krb5\\\\\\\\. | cut -d \" \" -f 3`
+                   `ldd pg_top | grep libkrb5\\\\\\\\. | cut -d \" \" -f 3`
+                   `ldd pg_top | grep libk5crypto\\\\\\\\. | cut -d \" \" -f 3`
+                   `ldd pg_top | grep libkrb5support\\\\\\\\. | cut -d \" \" -f 3`
+                   `ldd pg_top | grep libkeyutils\\\\\\\\. | cut -d \" \" -f 3`
+                   `ldd pg_top | grep libselinux\\\\\\\\. | cut -d \" \" -f 3`
+            AppDir/usr/lib
+    COMMAND VERSION=${PROJECT_VERSION} /usr/local/squashfs-root/AppRun
+            --comp=xz AppDir
+)

=== debian/changelog ===
pgtop (4.1.1-1.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 10 Jun 2024 11:54:41 +0200

pgtop (4.1.1-1) unstable; urgency=medium

  * New upstream version 4.1.1.
  * Drop libelf-dev again.

 -- Christoph Berg <myon@debian.org>  Mon, 10 Jun 2024 11:54:41 +0200

pgtop (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0.
  * Add B-D on libelf-dev (cf. https://gitlab.com/pg_top/pg_top/-/issues/12).

 -- Christoph Berg <myon@debian.org>  Mon, 03 Jun 2024 13:09:50 +0200

pgtop (4.0.0-3) unstable; urgency=medium

  * debian/watch: GitLab needs searchmode=plain now.
  * B-D on libncurses-dev.

 -- Christoph Berg <myon@debian.org>  Fri, 17 May 2024 11:01:13 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
  cmake,
- debhelper-compat (= 13),
+ debhelper (>= 12),
  libbsd-dev,
  libpq-dev,
- libncurses5-dev,
+ libncurses-dev,
  python3-docutils,
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
